Bug 178150 - can no longer resize a window once the maximize button is pushed
can no longer resize a window once the maximize button is pushed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 21:29 EST by Fulko Hew
Modified: 2009-01-09 01:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fulko Hew 2006-01-17 21:29:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
I'm an old Unix guy and I liked the window embelishments that
I had with Motif... simple, old, but effective.  So I've configured
KDE's window manager to use the 'CDE' window decoration style.

The maximize button on the title bar has changed its behaviour
from the way it used to work in FC3.

When you push the maximize button, yes it maximizes the window,
but now you can no longer grab a window's border to resize it
differently.  You used to be able to do that.  Now you can only
resize the window again if you re-push the maximize button, to
restore it to its original size.

So the maximize button has now changed from:
- 'resize the window to the largest possible size'
to
- 'resize the window to the largest possible size... and
   never let anybody resize it _ever_ again!'


Version-Release number of selected component (if applicable):
kdebase-2.2.2-11

How reproducible:
Always

Steps to Reproduce:
1.select "CDE" window decoration style.
1.push the maximize button on the title bar of any window.
2.click and drag the window's border.
  


Actual Results:  The window does not resize when dragging a window border.

Expected Results:  The window should (and used to in previous versions) obey resizing.

Additional info:
Comment 1 Fulko Hew 2006-01-18 18:35:19 EST
The version of kde3base was incorrectly reported in the original bug submission
the actual release should read: kdebase-3.5.0-0.1.fc4
Comment 2 Christian Iseli 2007-01-22 05:55:49 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Fulko Hew 2007-10-14 20:39:08 EDT
Confirmed that it still happens with F8 test 3.
Comment 4 Bug Zapper 2008-11-26 01:54:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:55:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.